# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name language-c

# common part of summary for all the subpackages
%global common_summary Haskell library for C code analysis and generation

# main description used for all the subpackages
%global common_description Language C is a Haskell library for the analysis and generation of C\
code. It features a complete, well tested parser and pretty printer\
for all of C99 and a large set of GNU extensions.

Name:           ghc-%{pkg_name}
Version:        0.4.2
Release:        5%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  alex
BuildRequires:  happy
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-pretty-prof
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-syb-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files
%doc AUTHORS* README


%changelog
* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-5
- update to cabal2spec-0.25.2

* Wed Oct 26 2011 Jens Petersen <petersen@redhat.com> - 0.4.2-4
- rebuild for newer gmp and update to cabal2spec-0.24.1

* Mon Sep 26 2011 Michel Salim <salimma@fedoraproject.org> - 0.4.2-3
- Remove manual runtime dependencies; issue fixed by ghc-rpm-macros 0.13.10

* Fri Sep  9 2011 Michel Salim <salimma@fedoraproject.org> - 0.4.2-2
- Add runtime dependencies

* Thu Sep  8 2011 Michel Salim <salimma@fedoraproject.org> - 0.4.2-1
- Override license, summary and description

* Thu Sep  8 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24
